सामग्री पर जाएँ

Grok Imagine Video 1.5 Lite Text to Video

इंटीग्रेट करें

मॉडल id xai/grok-imagine-video/v1.5/lite/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/xai/grok-imagine-video/v1.5/lite/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

उदाहरण जैसी फ़ाइलें: $0.18 180 API क्रेडिट चलाने से पहले आपकी फ़ाइलों को मापा जाता है इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
xAI टेक्स्ट से वीडियो तेज़1–15 s1080p तक #text-to-video

1 से 15 सेकंड की क्लिप और 1080p तक के रिज़ॉल्यूशन वाला Lite 1.5 टेक्स्ट-टू-वीडियो

xAI · वीडियो

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक 88 / 4096

बनाए जाने वाले वीडियो को निर्दिष्ट करने वाला विवरण।

resolution डिफ़ॉल्ट 720p

आउटपुट वीडियो का रिज़ॉल्यूशन।

aspect_ratio डिफ़ॉल्ट 16:9

परिणामी वीडियो का आस्पेक्ट रेशियो।

डिफ़ॉल्ट 6

वीडियो की लंबाई सेकंड में।

उन्नत enable_safety_checker
POST /run/xai/grok-imagine-video/v1.5/lite/text-to-video?wait=20 कोटेशन → $0.18
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/xai/grok-imagine-video/v1.5/lite/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Grok Imagine Video 1.5 Lite Text to Video के बारे में

अधिकतम 4096 वर्णों वाले टेक्स्ट प्रॉम्प्ट से वीडियो बनाता है। `duration` 1 से 15 सेकंड तक है (डिफ़ॉल्ट 6), और `resolution` 480p, 720p या 1080p हो सकता है। आस्पेक्ट रेशियो में 16:9 (डिफ़ॉल्ट), 4:3, 3:2, 1:1, 2:3, 3:4 और 9:16 शामिल हैं। केवल टेक्स्ट से उच्चतर आउटपुट रिज़ॉल्यूशन चाहिए होने पर इसे चुनें।

पैरामीटर

नामप्रकार डिफ़ॉल्टअनुमत विवरण
promptआवश्यक
प्रकारstring
≤ 4,096 अक्षर
बनाए जाने वाले वीडियो को निर्दिष्ट करने वाला विवरण।
durationवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट6
1 – 15
वीडियो की लंबाई सेकंड में।
resolutionवैकल्पिक
प्रकारenum
डिफ़ॉल्ट720p
480p720p1080p
आउटपुट वीडियो का रिज़ॉल्यूशन।
aspect_ratioवैकल्पिक
प्रकारenum
डिफ़ॉल्ट16:9
16:94:33:21:12:33:49:16
परिणामी वीडियो का आस्पेक्ट रेशियो।
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
यदि कॉलर अधिकृत है, तो false सेट करके स्क्रीनिंग में ढील दी जा सकती है।
आवश्यक

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "xai/grok-imagine-video/v1.5/lite/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 180,
    "usd": "0.18",
    "charged": 180,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "fps": 1.0,
      "duration": 5,
      "num_frames": 1
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
video
object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames}मॉडल द्वारा बनाया गया वीडियो।

और मॉडल: टेक्स्ट से वीडियो

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/xai/grok-imagine-video/v1.5/lite/text-to-video.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt